PTLib Version 2.12.9

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Public Attributes | List of all members
PODBC::ConnectData Struct Reference

    This class is a multipurpose use

class for storing parameters when initiating connection to DataSource. More...

`#include <podbc.h>`

Collaboration diagram for PODBC::ConnectData:
[legend]

## Public Member Functions
| ConnectData ()

## Public Attributes
DriverType | m_driver
| Driver type. More...
PString | m_database
| Database name or file Path (not Oracle,xxSQL) More...
PDirectory | m_directory
| Used with Paradox/DBase/Excel (& mySQL db) More...
PString | m_username
| UID. More...
PString | m_password
| Password. More...
PString | m_host
| Host name to connect to source. More...
unsigned | m_port
| Port to connect to source. More...
bool | m_exclusive
| Whether Datasource is locked. More...
bool | m_trusted
| Whether Datasource is trusted. More...
int | m_options
| General Option Value.mySQL & Paradox. More...

## Detailed Description

    This class is a multipurpose use

class for storing parameters when initiating connection to DataSource.

Not all field are required. By default all non-essential params are set to a datasource specific default value.

## Constructor & Destructor Documentation

PODBC::ConnectData::ConnectData | ( |  | ) |
| inline

## Member Data Documentation

PString PODBC::ConnectData::m_database

Database name or file Path (not Oracle,xxSQL)

PDirectory PODBC::ConnectData::m_directory

Used with Paradox/DBase/Excel (& mySQL db)

DriverType PODBC::ConnectData::m_driver

Driver type.

bool PODBC::ConnectData::m_exclusive

Whether Datasource is locked.

PString PODBC::ConnectData::m_host

Host name to connect to source.

int PODBC::ConnectData::m_options

General Option Value.mySQL & Paradox.

PString PODBC::ConnectData::m_password

Password.

unsigned PODBC::ConnectData::m_port

Port to connect to source.

bool PODBC::ConnectData::m_trusted

Whether Datasource is trusted.

PString PODBC::ConnectData::m_username

UID.

The documentation for this struct was generated from the following file:

- podbc.h